import type { DsnComponents, SdkMetadata, SerializedOtelLog } from '../types-hoist';
import type { OtelLogEnvelope, OtelLogItem } from '../types-hoist/envelope';
/**
 * Creates OTEL log envelope item for a serialized OTEL log.
 *
 * @param log - The serialized OTEL log to include in the envelope.
 * @returns The created OTEL log envelope item.
 */
export declare function createOtelLogEnvelopeItem(log: SerializedOtelLog): OtelLogItem;
/**
 * Creates an envelope for a list of logs.
 *
 * @param logs - The logs to include in the envelope.
 * @param metadata - The metadata to include in the envelope.
 * @param tunnel - The tunnel to include in the envelope.
 * @param dsn - The DSN to include in the envelope.
 * @returns The created envelope.
 */
export declare function createOtelLogEnvelope(logs: Array<SerializedOtelLog>, metadata?: SdkMetadata, tunnel?: string, dsn?: DsnComponents): OtelLogEnvelope;
//# sourceMappingURL=envelope.d.ts.map